Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have an OpenERP server set up for testing purposes on my computer. Since the setup, whenever I try to install other applications I get an error caused by OpenERP, When trying to install packages like

sudo apt-get install patch 

I get this

Setting up openerp (7.0-20131230-002457-1) ...
chown: cannot access ‘/etc/openerp/openerp-server.conf’: No such file or directory
dpkg: error processing openerp (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 openerp
E: Sub-process /usr/bin/dpkg returned an error code (1)

This error seems to occur everytime I try to install third party libraries.

john@Heisenberg:/$ sudo apt-get install libboost-all-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libboost-all-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up openerp (7.0-20131230-002457-1) ...
chown: cannot access ‘/etc/openerp/openerp-server.conf’: No such file or directory
dpkg: error processing openerp (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 openerp
E: Sub-process /usr/bin/dpkg returned an error code (1)

Any idea what I can do to resolve this issue? I ran sudo dpkg -l | grep -v ^ii and this is what I got

| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version Architecture Description +++-=========================================-=======================================-============-================================================================================================ iF openerp 7.0-20131230-002457-1 all OpenERP Enterprise Resource Management rc unity-webapps-grooveshark 2.4.16+13.10.20130924.2-0ubuntu1 all Unity Webapp for grooveshark rc vnstat 1.11-2 amd64 console-based network traffic monitor

Thanks!

share|improve this question
    
It seems that your OpenERP was not intalled properly. We can understand its situation by dpkg -l | grep -v ^ii. –  numand Jan 5 at 1:05
    
Just ran the command and updated the post. It's weird because OpenERP is working just fine. –  user231833 Jan 5 at 6:59
    
It seems that openerp package was half configured. Try sudo dpkg-reconfigure openerp. –  numand Feb 6 at 20:20

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.